Subject: [payload] (Resend) Publication request for draft-ietf-payload-rtp-klv-02.txt

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Fri, 13 Jan 2012 07:54:07 -0800

(Resend with some additional info)

Shepherd writeup for draft-ietf-payload-rtp-klv-02.txt:

  (1.a) Who is the Document Shepherd for this document? Has the
        Document Shepherd personally reviewed this version of the 
        document and, in particular, does he or she believe this 
        version is ready for forwarding to the IESG for publication? 

The document shepherd is Ali Begen. He has reviewed the document and believes it is ready for forwarding to the IESG for publication.

  (1.b) Has the document had adequate review both from key WG members 
        and from key non-WG members? Does the Document Shepherd have 
        any concerns about the depth or breadth of the reviews that 
        have been performed?  

The document has been reviewed adequately by the WG members. The shepherd does not have concerns about the depth or breadth of the reviews.

  (1.c) Does the Document Shepherd have concerns that the document 
        needs more review from a particular or broader perspective, 
        e.g., security, operational complexity, someone familiar with 
        AAA, internationalization or XML? 

There are no such concerns.

  (1.d) Does the Document Shepherd have any specific concerns or 
        issues with this document that the Responsible Area Director
        and/or the IESG should be aware of? For example, perhaps he 
        or she is uncomfortable with certain parts of the document, or 
        has concerns whether there really is a need for it. In any 
        event, if the WG has discussed those issues and has indicated 
        that it still wishes to advance the document, detail those 
        concerns here. Has an IPR disclosure related to this document 
        been filed? If so, please include a reference to the 
        disclosure and summarize the WG discussion and conclusion on 
        this issue. 

There are no concerns from the document shepherd from this perspective. No IPR disclosures have been made against this document.

  (1.e) How solid is the WG consensus behind this document? Does it 
        represent the strong concurrence of a few individuals, with 
        others being silent, or does the WG as a whole understand and 
        agree with it?   

No objections have been raised and the reviewers were confident in their reviews.

  (1.f) Has anyone threatened an appeal or otherwise indicated extreme 
        discontent? If so, please summarise the areas of conflict in 
        separate email messages to the Responsible Area Director. (It 
        should be in a separate email because this questionnaire is 
        entered into the ID Tracker.) 

No.

  (1.g) Has the Document Shepherd personally verified that the 
        document satisfies all ID nits? (See the Internet-Drafts Checklist 
        and http://tools.ietf.org/tools/idnits/). Boilerplate checks are 
        not enough; this check needs to be thorough. Has the document 
        met all formal review criteria it needs to, such as the MIB 
        Doctor, media type and URI type reviews? 

Version idnits 2.12.12 of ID Nits identifies no issues except one comment (which is OK).

  (1.h) Has the document split its references into normative and 
        informative? Are there normative references to documents that 
        are not ready for advancement or are otherwise in an unclear 
        state? If such normative references exist, what is the 
        strategy for their completion? Are there normative references 
        that are downward references, as described in [RFC3967]? If 
        so, list these downward references to support the Area 
        Director in the Last Call procedure for them [RFC3967]. 

The document does split normative and informative references.

There is a normative reference to SMPTE336M, which is a spec produced by the SMPTE organization. This is not an RFC but it is already a produced spec.

  (1.i) Has the Document Shepherd verified that the document IANA 
        consideration section exists and is consistent with the body 
        of the document? If the document specifies protocol 
        extensions, are reservations requested in appropriate IANA 
        registries? Are the IANA registries clearly identified? If 
        the document creates a new registry, does it define the 
        proposed initial contents of the registry and an allocation 
        procedure for future registrations? Does it suggest a 
        reasonable name for the new registry? See [RFC5226]. If the 
        document describes an Expert Review process has Shepherd 
        conferred with the Responsible Area Director so that the IESG 
        can appoint the needed Expert during the IESG Evaluation? 

The IANA considerations have been reviewed, the registry is correctly identified. 

  (1.j) Has the Document Shepherd verified that sections of the 
        document that are written in a formal language, such as XML 
        code, BNF rules, MIB definitions, etc., validate correctly in 
        an automated checker? 

No issues.

  (1.k) The IESG approval announcement includes a Document 
        Announcement Write-Up. Please provide such a Document 
        Announcement Write-Up? Recent examples can be found in the
        "Action" announcements for approved documents. The approval 
        announcement contains the following sections: 

     Technical Summary 
        Relevant content can frequently be found in the abstract 
        and/or introduction of the document. If not, this may be 
        an indication that there are deficiencies in the abstract 
        or introduction. 

This document specifies the payload format for packetization of KLV (Key-Length-Value) Encoded Data, as defined by the Society of Motion Picture and Television Engineers (SMPTE) in SMPTE 336M, into the Real-time Transport Protocol (RTP).

     Working Group Summary 
        Was there anything in WG process that is worth noting? For 
        example, was there controversy about particular points or 
        were there decisions where the consensus was particularly 
        rough? 

No, it was relatively a smooth process.

     Document Quality 
        Are there existing implementations of the protocol? Have a 
        significant number of vendors indicated their plan to 
        implement the specification? Are there any reviewers that 
        merit special mention as having done a thorough review, 
        e.g., one that resulted in important changes or a 
        conclusion that the document had no substantive issues? If 
        there was a MIB Doctor, Media Type or other expert review, 
        what was its course (briefly)? In the case of a Media Type 
        review, on what date was the request posted?

The document achieved consensus in the PAYLOAD working group. According to the authors, there have been prototypical implementations, including implementation inside existing open toolkits and applications. One such prototype involved a (modified to implement) VideoLAN VLC to a proprietary RTP-capable desktop application.

The review request for media type registration has been sent to ietf-types on Jan 11th. Here is the link:
http://www.ietf.org/mail-archive/web/ietf-types/current/msg01608.html